%define pypi_name cbor2

Name:           python-%{pypi_name}
Version:        5.6.2
Release:        %mkrel 1
Summary:        Python CBOR (de)serializer with extensive tag support
Group:          Development/Python
License:        MIT
URL:            https://github.com/agronholm/cbor2
Source0:        %{pypi_source}
BuildRequires:  python3-devel
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(hypothesis)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx-autodoc-typehints)

%description
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-%{pypi_name}-doc < 5.4.6

%description -n python3-%{pypi_name}
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} _%{pypi_name}

PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}

%check
%ifarch %ix86
%pytest -v tests -k 'not test_huge_truncated'
%else
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%doc html
%{_bindir}/cbor2


%changelog
* Sun Apr 14 2024 papoteur <papoteur> 5.6.2-1.mga10
+ Revision: 2057638
- new version 5.6.2

* Thu Dec 28 2023 papoteur <papoteur> 5.5.1-2.mga10
+ Revision: 2023176
- add hypothesis as BR for tests
- rebuild again for python 3.12
+ joequant <joequant>
- update to 5.5.1 - rebuild for py3.12

* Sun Jan 15 2023 wally <wally> 5.4.6-1.mga9
+ Revision: 1933544
- new version 5.4.6

* Sat Mar 19 2022 umeabot <umeabot> 5.4.2-2.mga9
+ Revision: 1799216
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1781406
- update to 5.4.2 / python 3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 5.2.0-3.mga9
+ Revision: 1705089
- rebuild for python 3.9

* Tue Mar 09 2021 guillomovitch <guillomovitch> 5.2.0-2.mga9
+ Revision: 1700909
- don't run failing tests on ix86
- imported package python-cbor2

